# TdApi.GetPassportElement (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: GetPassportElement

Package it.tdlight.jni

# Class TdApi.GetPassportElement

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.GetPassportElement

Enclosing class:
  TdApi

    public static class TdApi.GetPassportElement
    extends TdApi.Function

Returns one of the available Telegram Passport elements.

Returns `PassportElement`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`String` | `password` | Password of the current user.
`TdApi.PassportElementType` | `type` | Telegram Passport element type.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`GetPassportElement()` | Returns one of the available Telegram Passport elements.
`GetPassportElement​(TdApi.PassportElementType type, String password)` | Returns one of the available Telegram Passport elements.
`GetPassportElement​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### type

public TdApi.PassportElementType type
Telegram Passport element type.

### password

public String password
Password of the current user.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### GetPassportElement

public GetPassportElement()
Returns one of the available Telegram Passport elements.

Returns `PassportElement`

### GetPassportElement

public GetPassportElement​(TdApi.PassportElementType type, String password)
Returns one of the available Telegram Passport elements.

Returns `PassportElement`

Parameters:
  `type` - PassportElementType Telegram Passport element type.
  `password` - String Password of the current user.

### GetPassportElement

public GetPassportElement​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`